Package org.bukkit.permissions

# Class PermissionAttachmentInfo

java.lang.Object
org.bukkit.permissions.PermissionAttachmentInfo

public class PermissionAttachmentInfo extends Object
Holds information on a permission and which `PermissionAttachment` provides it

## Constructor Summary

Constructors
Constructor
Description
`PermissionAttachmentInfo(@NotNull Permissible permissible, @NotNull String permission, @Nullable PermissionAttachment attachment, boolean value)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable PermissionAttachment`
`getAttachment()`
Gets the attachment providing this permission.
`@NotNull Permissible`
`getPermissible()`
Gets the permissible this is attached to
`@NotNull String`
`getPermission()`
Gets the permission being set
`boolean`
`getValue()`
Gets the value of this permission

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PermissionAttachmentInfo

public PermissionAttachmentInfo(@NotNull @NotNull Permissible permissible, @NotNull @NotNull String permission, @Nullable @Nullable PermissionAttachment attachment, boolean value)

## Method Details

### getPermissible

@NotNull public @NotNull Permissible getPermissible()
Gets the permissible this is attached to

Returns:
  Permissible this permission is for

### getPermission

@NotNull public @NotNull String getPermission()
Gets the permission being set

Returns:
  Name of the permission

### getAttachment

@Nullable public @Nullable PermissionAttachment getAttachment()
Gets the attachment providing this permission. This may be null for default permissions (usually parent permissions).

Returns:
  Attachment

### getValue

public boolean getValue()
Gets the value of this permission

Returns:
  Value of the permission